// Miguel Fuentes | fuentessoft@gmail.com / mfuentes@staff.digital

(function( $, document, window, undefined ) {

	var style = [
    {
        "featureType": "road.local",
        "elementType": "geometry",
        "stylers": [
            {
                "visibility": "on"
            }
        ]
    }
]
	function AnimatedMarker(options) {
		this.latlng_ = options.position;
		this.setMap(options.map);
	}
	AnimatedMarker.prototype = new google.maps.OverlayView();
	AnimatedMarker.prototype.draw = function() {
		var me = this;
		var div = this.div_;
		if (!div) {
			div = this.div_ = $('' +
				'<div><div class="animated-dot">' +
				'<div class="middle-dot"></div>' +
				'<div class="signal"></div>' +
				'<div class="signal2"></div>' +
				'</div></div>' +
			'')[0];
			div.style.position = 'absolute';
			div.style.paddingLeft = '0px';
			div.style.cursor = 'pointer';
			var panes = this.getPanes();
			panes.overlayImage.appendChild(div);
		}
		var point = this.getProjection().fromLatLngToDivPixel(this.latlng_);
		if (point) {
			div.style.left = point.x + 'px';
			div.style.top = point.y + 'px';
		}
	};
	AnimatedMarker.prototype.remove = function() {
		if (this.div_) {
			this.div_.parentNode.removeChild(this.div_);
			this.div_ = null;
		}
	};
	AnimatedMarker.prototype.getPosition = function() {
		return this.latlng_;
	};

	function init(){
		var $maps = $(".wrapper_gmaps");
		if($maps.length){
			$maps.each(function(i, e){
				var latlng = new google.maps.LatLng($(this).data("lat"), $(this).data("lng")),
					map = new google.maps.Map(this, {
						styles: style,
						center: latlng,
						zoom: 15,
						disableDefaultUI: true,
						mapTypeControlOptions: {
							mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'map_style']
						},
						scrollwheel: false,
						panControl: false,
						zoomControl: false,
						zoomControlOptions: {
							style: google.maps.ZoomControlStyle.LARGE,
							position: google.maps.ControlPosition.LEFT_CENTER
						},
						mapTypeControl: false,
						scaleControl: false,
						streetViewControl: false
				    	}),
	                    marker_options = {
	                    position: latlng,
	                    map: map
	                }, marker;

				    // Add a Snazzy Info Window to the marker
				    var info = new SnazzyInfoWindow({
				        map: map,
				        content: '<h1>Styling with SCSS</h1>' +
				                 '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce id urna eu sem fringilla ultrices.</p>' +
				                 '<hr>' +
				                 '<em>Snazzy Info Window</em>',
				        closeOnMapClick: false
				    });
				    info.open();

	            //console.log($(this).data("marker-type"));
	            switch($(this).data("marker-type")){
	            	case "animated":
	            		marker = new AnimatedMarker(marker_options);
	            	break;
	            	case "image":
	            		marker_options.icon = $(this).data("marker-image");
	            	default:
	            		marker = new google.maps.Marker(marker_options);
	            }

	            $(this).data("map",map);
	            $(this).data("marker",marker);
			});
		}



	};

	$( document ).ready( init );

})( jQuery, document, window );