<?php 
/*-----------------------------------
Shortcode [show_header]
-----------------------------------*/

function wp_header_pages($content = null) {
	ob_start(); ?>
		<div class="banner__interno" style="background-image: url('<?php the_field('page_imagen'); ?>');">
			<div class="banner__interno__container">
				<div class="banner__interno__title">
					<h3><?php the_field('header_pages'); ?></h3>
				</div>
				<div class="banner__interno__text">
					<p><?php the_field('header_textos'); ?></p>
				</div>
			</div>
		</div>
	<?php
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}

add_shortcode('show_header', 'wp_header_pages');

/*-----------------------------------
Shortcode [show_staff]
-----------------------------------*/

function wp_list_seguros($content = null) {
	ob_start();
		$args = array( 
		'post_type' => 'seguro', 
		'post_status' => 'publish',
		'posts_per_page' => -1,);
		$wp_query = new WP_Query($args); ?>
		<?php if($wp_query->have_posts()) :  $i = 0 ?>
			<div class="slider_seguros">
			<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $i++; ?>
				<figure><?php the_post_thumbnail(); ?></figure>
			<?php endwhile; wp_reset_postdata(); ?>	
			</div>

				<script>
					jQuery(document).ready(function($){
						$('.slider_seguros').slick({
							infinite: false,
							dots: true,
							prevArrow: false,
							nextArrow: false,
							slidesToShow: 3,
							responsive: [
								{
								  breakpoint: 1024,
								  settings: {
									slidesToShow: 3,
									slidesToScroll: 3,
									//infinite: true,
								  }
								},
								{
								  breakpoint: 800,
								  settings: {
									slidesToShow: 2,
									slidesToScroll: 2,
								  }
								},
								{
								  breakpoint: 490,
								  settings: {
									slidesToShow: 1,
									slidesToScroll: 1
								  }
								}
							]
						});
					});               	
				</script>
		<?php endif;
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('show_seguros', 'wp_list_seguros');


/*-----------------------------------
Shortcode [show_servicios]
-----------------------------------*/

function wp_servicios($atts, $content = null) {
	$a = shortcode_atts( array(
		'row' => 'default',
	), $atts );
	ob_start();
		$args = array(
		'post_type' => 'servicio',
		'posts_per_page' => 1,
		'post_status' => 'publish');
		$wp_query = new WP_Query($args);
		?>
			<div class="home__servicios nosotros__change">
			<div class="home__servicios__container">
			<?php 
			if($wp_query->have_posts()) :  ?>
				<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
					<div class="home__servicios__items">
					<?php
						if( have_rows('lista_de_servicios') ):
							while ( have_rows('lista_de_servicios') ) : the_row();?>
								<div class="home__servicios__item">
									<?php $urlImage = get_sub_field('icono_servicio'); ?>
									<div class="home__servicios__item__image">
										<img src="<?php echo $urlImage ?>" alt="">
									</div>
									<div class="home__servicios__item__info">
										<div class="home__servicios__item__info__title">
											<h3><?php the_sub_field('titulo_servicio'); ?></h3>
										</div>
										 <div class="home__servicios__item__info__text">
											<?php the_sub_field('descripcion_servicio'); ?>
										  </div>
									</div>
								</div>
							<?php endwhile;
						else :
						endif;
					?>
					</div>
				<?php endwhile;
				wp_reset_query(); wp_reset_postdata(); ?>				
			<?php endif; ?>
			</div>
			</div>
		<?php  
   $content = ob_get_contents();
   ob_end_clean();
   return $content;  
}
add_shortcode('show_servicios', 'wp_servicios');


/*-----------------------------------
Shortcode [show_novedades]
-----------------------------------*/

function wp_list_news_home($content = null) {
	ob_start();
		$args = array( 
		'post_type' => 'post', 
		'post_status' => 'publish',
		'posts_per_page' => 3,);
		$wp_query = new WP_Query($args); ?>
		<?php if($wp_query->have_posts()) :  $i = 0 ?>
			<div class="content_items_extranet">
				<ul class="row-grid no-margin">
			<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $i++; ?>
					<?php $featured_img_url = get_the_post_thumbnail_url($post->ID, 'full');  ?>

				<li class="column-4">
					<div class="image_inner">
						<a href="<?php the_permalink(); ?>" >
							<figure class="image_featured_news" style="background-image: url('<?php echo $featured_img_url; ?>'); "></figure>
							<span><time class="date_post"><?php the_date_custom_post(); ?></time><div class="content_title_post"><?php the_title(); ?></div></span>
						</a>
					</div>
					
				</li>

			<?php endwhile; wp_reset_postdata(); ?>	
				</ul>
			</div>
 
		<?php endif;
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('show_novedades', 'wp_list_news_home');

/*-----------------------------------
Shortcode [show_feedback]
-----------------------------------*/

function wp_list_feedback_home($content = null) {
	ob_start();
	$args = array( 
		'post_type' => 'testimonio', 
		'post_status' => 'publish',
		'posts_per_page' => 1,);
	?>
	<?php $wp_query = new WP_Query($args); ?>
	<?php if($wp_query->have_posts()) : ?>
		<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
			<?php if( have_rows('lista_feedback') ): $i = 0; ?>
				<div class="slider_feedback_home">
				<?php while( have_rows('lista_feedback') ): the_row(); $i++; ?>
						<div class="content_feedback">
							<article>
								<header class="clearfix">
									<figure style="background-image: url('<?php the_sub_field( 'imagen_feed' ); ?>');"></figure>
								<h4><?php the_sub_field( 'nombre_feed' ); ?></h4> 
								<h5><?php the_sub_field( 'cargo_feed' ); ?></h5>
								</header>
								<footer><?php the_sub_field( 'comentario_feed' ); ?></footer>
							</article>
					</div>
			 
				<?php endwhile; ?>
				</div>
			<?php endif; ?>
		<?php endwhile; ?>
		<?php wp_reset_postdata(); ?>

		<script>
			jQuery(document).ready(function($){
				$('.slider_feedback_home').slick({
					infinite: false,
					dots: true,
					prevArrow: false,
					nextArrow: false,
					slidesToShow: 3,
					variableWidth: true,
					responsive: [
						{
						  breakpoint: 1024,
						  settings: {
							slidesToShow: 3,
							slidesToScroll: 3,
							//infinite: true,
						  }
						},
						{
						  breakpoint: 800,
						  settings: {
							slidesToShow: 2,
							slidesToScroll: 2,
							//variableWidth: false,
						  }
						},
						{
						  breakpoint: 650,
						  settings: {
							slidesToShow: 2,
							slidesToScroll: 2,
							variableWidth: false,
						  }
						},
						{
						  breakpoint: 490,
						  settings: {
							slidesToShow: 1,
							slidesToScroll: 1,
							variableWidth: false,
						  }
						}
					]
				});
			});               	
		</script>

	<?php endif; 
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('show_feedback', 'wp_list_feedback_home');

/*-----------------------------------
Shortcode [post_home]
-----------------------------------*/

function wp_list_post_home($content = null) {
	ob_start();
		$args = array( 
		'post_type' => 'post', 
		'post_status' => 'publish',
		'posts_per_page' => 3,);
		$wp_query = new WP_Query($args); ?>
		<?php if($wp_query->have_posts()) : ?>
			<div class="wrapper_list_post_home">
			<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
				<article class="clearfix">
					<figure><?php the_post_thumbnail( 'thumbnail-blog' ); ?></figure>
					<div class="info_news"><time><?php the_date_custom_post(); ?></time>
					<h3><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h3>
					<div class="footer_news clearfix"><a href="<?php the_permalink();?>"><?php _e('Leer mas','hello_wordpress') ?></a>
						<?php wp_shared_content(); ?>
					</div>
					</div>
				</article>
			<?php endwhile; wp_reset_postdata(); ?>
			</div>
		<?php endif;
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('post_home', 'wp_list_post_home');


/*-----------------------------------
Shortcode [latest_news]
-----------------------------------*/

function wp_list_latest_news($content = null) {
	ob_start();
		$args = array( 
		'post_type' => 'post', 
		'post_status' => 'publish',
		'posts_per_page' => 4,);
		$wp_query = new WP_Query($args); ?>
		<?php if($wp_query->have_posts()) : ?>
			<div class="wrapper_list_latest_post">
			<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
				<article class="clearfix">
					<figure><?php the_post_thumbnail( 'thumbnail' ); ?></figure>
					<div class="info_news">
					<h3><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h3>
					<time><?php the_date_custom_post(); ?></time>
					</div>
				</article>
			<?php endwhile; wp_reset_postdata(); ?>
			</div>
		<?php endif;
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('latest_news', 'wp_list_latest_news');

function wp_list_social_media($content = null) {
	ob_start(); ?>
		<ul class="social_media clearfix">
			<?php if( get_field('facebook', 'option') ) { ?>
			<li><a title="Facebook" href="<?php the_field('facebook', 'option'); ?>" target="_black"><i class="icon-facebook"></i></a></li>
			<?php } ?>
			<?php if( get_field('youtube', 'option') ) { ?>
				<li><a title="Youtube" href="<?php the_field('youtube', 'option'); ?>" target="_black"><i class="icon-youtube"></i></a></li>
			<?php } ?>
		</ul>
	<?php 
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('social_media', 'wp_list_social_media');

/*-----------------------------------
Shortcode [ligin_form]
-----------------------------------*/

function wp_login_html($content = null) {
	ob_start(); ?>
	<div class="wrapper_form_login">
	<form id="contact-form" action="">
		<h1 class="title_page center"><?php the_title(); ?></h1>
		<div class="row_grid_full"><input type="text" placeholder="N° de RUC"></div>
		<div class="row_grid_full"><input id="the_password" type="password" placeholder=""></div>
		<div class="row_grid_full check">
			<input type="checkbox" value="None" id="check_remember" name="check" />
			<label for="check_remember"><?php _e('Diseño por','hello_wordpress') ?></label>
		</div>

		<div class="row_grid_full submit"><input type="submit" value="Iniciar Sesion"></div>
		<div class="row-grid no-margin">
			<a class="recover_password" href="#">Recordar Contraseña</a>
			<a class="create_account" href="#">Crear Cuenta</a>
		</div>
	</form>
	</div>
	<script>
		jQuery(document).ready(function($){    
			document.getElementById("the_password").placeholder = "Contraseña";
		});               	
	</script>
	<?php
	$content = ob_get_contents();
	ob_end_clean();
	return $content;  
}
add_shortcode('ligin_form', 'wp_login_html');