<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" >
	<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/css/main2.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/css/blog.css"/>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

	<header class="header <?php echo get_theme_mod( 'style_header_setting_section_display'); ?>">
	    <div class="header_fixed">
	        <div class="header_container">
	            <div class="header_content wrapper__site">
					<?php
					if ( has_custom_logo() ) {
						the_custom_logo();
					} else { ?>
						<a class="link__title" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
						<?php
					}?>
	                <?php wp_nav_menu(array(
						'theme_location' => 'header',
						'menu_class' => 'menu-header',
						'container' => 'nav',
						'container_class' => 'header_list',
					)); ?>
	            </div>
	        </div>
	    </div>
	</header>

	<span class="menu_overlay menuOverlayJS"></span>
	<div class="menu_button menuOpenJS">
	    <div class="menu_lines"><span class="menu_line menu_line_1"></span><span class="menu_line menu_line_2"></span><span class="menu_line menu_line_3"></span></div>
	</div>
	<div class="menu_responsive">
	    <div class="menu_innerwrapper">
	        <div class="menu_wrapper"><?php dynamic_sidebar( 'sidebar-responsive' ); ?></div>
	    </div>
	</div>