<?php

/**
 * @author Miguel Fuentes <miguel@kodewp.com>
 */

function kwp_load_widget() {
    register_widget( 'kwp_recent_posts' );
}
add_action( 'widgets_init', 'kwp_load_widget' );
 
class kwp_recent_posts extends WP_Widget {
 
    function __construct() {
        parent::__construct(
        'kwp_recent_posts', 
        __('KODEWP - Ultimos Posts', 'kodewp'), 
        array( 'description' => __( 'Widget para mostrar los ultimos posts', 'kodewp' ), ) 
        );
    }
     
    // WIDGET FRONTEND
     
    public function widget( $args, $instance ) {

        $title = apply_filters( 'widget_title', $instance['title'] );
        $number = $instance['number'];
         
        echo $args['before_widget'];
        if ( ! empty( $title ) )
        echo $args['before_title'] . $title . $args['after_title'];

        $args = array( 
            'post_type' => 'post', 
            'post_status' => 'publish',
            'posts_per_page' => $number,
        );
        $wp_query = new WP_Query($args);
        if($wp_query->have_posts()) :
        echo "<div class='block__news__trending__items'>";
        while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
            <a href="<?php the_permalink(); ?>" class="block__news__trending__item" >
                <div class="block__news__trending__img" style="background-image: url(<?php the_post_thumbnail_url(); ?>);"></div>
                <div class="block__news__trending__text">
                    <span>
                    <?php
                    the_title('<h3>','</h3>'); 
                    $date_day = ''.get_the_date('j').'';
                    $date_month = ''.get_the_date('F').'';
                    $date_year = ''.get_the_date('Y').'';
                    echo $date_month; ?> <?php echo $date_day; ?>, <?php echo $date_year; ?>
                    </span>
                </div>
            </a>
        <?php endwhile; wp_reset_postdata(); 
        echo "</div>";
        endif;

        echo $args['after_widget'];

    }
             
    // WIDGET BACKEND

    public function form( $instance ) {

        if ( isset( $instance[ 'title' ] ) ) {
            $title = $instance[ 'title' ];
        }
        else {
            $title = __( 'Ultimos Posts', 'kodewp' );
        }

        if ( isset( $instance[ 'number' ] ) ) {
            $number = $instance[ 'number' ];
        }
        else {
            $number = __( '5', 'kodewp' );
        } ?>

        <p>
        <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
        <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
        </p>
        <p>
        <label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'Numero de posts:' ); ?></label> 
        <input class="widefat" id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="number" value="<?php echo esc_attr( $number ); ?>" />
        </p>

        <?php 
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['number'] = ( ! empty( $new_instance['number'] ) ) ? strip_tags( $new_instance['number'] ) : '';
        return $instance;
    }
}